commit 01c155f234b620dad59dff06598554198f8a0944
Author: Phil Davis <phil.davis@inf.org>
Date:   Wed Feb 11 14:57:50 2015 +0545

    Random text typos
    
    and I "corrected" function names that had "_choosen_" in them.
    That is not technically an error - function names do not have to be
    English words. But it does look nicer to read.

diff --git a/etc/inc/dyndns.class b/etc/inc/dyndns.class
index aaaa2cc4f1..bd0e2e03ca 100644
--- a/etc/inc/dyndns.class
+++ b/etc/inc/dyndns.class
@@ -46,34 +46,34 @@
 	 *    - _debug()
 	 *    - _checkIP()
 	 * +----------------------------------------------------+
-	 *  DynDNS Dynamic - Last Tested: 12 July 2005
-	 *  DynDNS Static  - Last Tested: NEVER
-	 *  DynDNS Custom  - Last Tested: NEVER
-	 *  No-IP          - Last Tested: 20 July 2008
-	 *  HN.org         - Last Tested: 12 July 2005
-	 *  EasyDNS        - Last Tested: 20 July 2008
-	 *  DHS            - Last Tested: 12 July 2005
-	 *  ZoneEdit       - Last Tested: NEVER
-	 *  Dyns           - Last Tested: NEVER
-	 *  ODS            - Last Tested: 02 August 2005
-	 *  FreeDNS        - Last Tested: 23 Feb 2011
-	 *  Loopia         - Last Tested: NEVER
-	 *  StaticCling    - Last Tested: 27 April 2006
-	 *  DNSexit	   - Last Tested: 20 July 2008
-	 *  OpenDNS	   - Last Tested: 4 August 2008
-	 *  Namecheap	   - Last Tested: 31 August 2010
-	 *  HE.net         - Last Tested: 7 July 2013
-	 *  HE.net IPv6    - Last Tested: 7 July 2013
-	 *  HE.net Tunnel  - Last Tested: 28 June 2011
-	 *  SelfHost       - Last Tested: 26 December 2011
+	 *  DynDNS Dynamic  - Last Tested: 12 July 2005
+	 *  DynDNS Static   - Last Tested: NEVER
+	 *  DynDNS Custom   - Last Tested: NEVER
+	 *  No-IP           - Last Tested: 20 July 2008
+	 *  HN.org          - Last Tested: 12 July 2005
+	 *  EasyDNS         - Last Tested: 20 July 2008
+	 *  DHS             - Last Tested: 12 July 2005
+	 *  ZoneEdit        - Last Tested: NEVER
+	 *  Dyns            - Last Tested: NEVER
+	 *  ODS             - Last Tested: 02 August 2005
+	 *  FreeDNS         - Last Tested: 23 Feb 2011
+	 *  Loopia          - Last Tested: NEVER
+	 *  StaticCling     - Last Tested: 27 April 2006
+	 *  DNSexit         - Last Tested: 20 July 2008
+	 *  OpenDNS         - Last Tested: 4 August 2008
+	 *  Namecheap       - Last Tested: 31 August 2010
+	 *  HE.net          - Last Tested: 7 July 2013
+	 *  HE.net IPv6     - Last Tested: 7 July 2013
+	 *  HE.net Tunnel   - Last Tested: 28 June 2011
+	 *  SelfHost        - Last Tested: 26 December 2011
 	 *  Amazon Route 53 - Last tested: 01 April 2012
-	 *  DNS-O-Matic	   - Last Tested: 9 September 2010
-	 *  CloudFlare     - Last Tested: 30 May 2013
-  	 *  Eurodns	   - Last Tested: 27 June 2013
-  	 *  GratisDNS      - Last Tested: 15 August 2012
-	 *  OVH DynHOST	   - Last Tested: NEVER
-	 *  City Network   - Last Tested: 13 November 2013
-	 *  GleSYS			- Last Tested: 3 February 2015
+	 *  DNS-O-Matic     - Last Tested: 9 September 2010
+	 *  CloudFlare      - Last Tested: 30 May 2013
+  	 *  Eurodns         - Last Tested: 27 June 2013
+  	 *  GratisDNS       - Last Tested: 15 August 2012
+	 *  OVH DynHOST     - Last Tested: NEVER
+	 *  City Network    - Last Tested: 13 November 2013
+	 *  GleSYS          - Last Tested: 3 February 2015
 	 * +====================================================+
 	 *
 	 * @author 	E.Kristensen
@@ -1125,7 +1125,7 @@
 						$status = "phpDynDNS: (Error) Result did not match.";
 					break;
 				case 'cloudflare':
-					// recieve multipe results
+					// receive multiple results
 					$data = explode("\n",$data);
 					$lines = count($data)-1;
 
diff --git a/etc/inc/filter.inc b/etc/inc/filter.inc
index 21dd2ee348..f6aa76bd7f 100644
--- a/etc/inc/filter.inc
+++ b/etc/inc/filter.inc
@@ -395,8 +395,8 @@ function filter_configure_sync($delete_states_if_needed = true) {
 			sigkillbypid("{$g['varrun_path']}/filterdns.pid", "HUP");
 		else {
 			/*
-			 * FilterDNS has three debugging levels. The default choosen is 1.
-			 * Availabe are level 2 and greater then 2.
+			 * FilterDNS has three debugging levels. The default chosen is 1.
+			 * Available are level 2 and greater then 2.
 			 */
 			if (isset($config['system']['aliasesresolveinterval']) && is_numeric($config['system']['aliasesresolveinterval']))
 				$resolve_interval = $config['system']['aliasesresolveinterval'];
@@ -534,7 +534,7 @@ function filter_generate_nested_alias($name, $alias, &$aliasnesting, &$aliasaddr
 					}
 				}
 			}
-			/* We already expanded this alias so there is no neccessity to do it again. */
+			/* We already expanded this alias so there is no necessity to do it again. */
 			else if(!isset($aliasnesting[$address]))
 				$tmpline = filter_generate_nested_alias($name, $aliastable[$address], $aliasnesting, $aliasaddrnesting);
 		} else if(!isset($aliasaddrnesting[$address])) {
@@ -658,7 +658,7 @@ function filter_generate_aliases() {
 		foreach ($config['aliases']['alias'] as $aliased) {
 			$extralias = "";
 			/*
-			 * XXX: i am not sure what this does so i am commenting it out for now, because as it is
+			 * XXX: i am not sure what this does so I am commenting it out for now, because as it is
 			 * its quite dangerous!
 			 * $ip = find_interface_ip($aliased['address']);
 			 * $extraalias = " " . link_ip_to_carp_interface($ip);
@@ -2849,7 +2849,7 @@ EOD;
 
 	/*
 	 * Support for allow limiting of TCP connections by establishment rate
-	 * Useful for protecting against sudden outburts, etc.
+	 * Useful for protecting against sudden outbursts, etc.
 	 */
 	$ipfrules .= "block in {$log['block']} quick from <virusprot> to any tracker 1000000400 label \"virusprot overload table\"\n";
 
@@ -3107,7 +3107,7 @@ EOD;
 
 	/*
 	 * NB: The loopback rules are needed here since the antispoof would take precedence then.
-	 *	If you ever add the 'quick' keyword to the antispoof rules above move the looback
+	 *	If you ever add the 'quick' keyword to the antispoof rules above move the loopback
 	 *	rules before them.
 	 */
 	$ipfrules .= <<<EOD
diff --git a/usr/local/www/wizards/traffic_shaper_wizard_dedicated.inc b/usr/local/www/wizards/traffic_shaper_wizard_dedicated.inc
index 7a4104e5d3..9c006c86c3 100644
--- a/usr/local/www/wizards/traffic_shaper_wizard_dedicated.inc
+++ b/usr/local/www/wizards/traffic_shaper_wizard_dedicated.inc
@@ -317,7 +317,7 @@ function step2_stepsubmitphpaction() {
 		}
 	}
 
-	/* This is necessary since the wizard expects pecnefined fields. */
+	/* This is necessary since the wizard expects predefined fields. */
 	unset($config['ezshaper']['step2']);
 	$config['ezshaper']['step2'] = array();
 
@@ -551,9 +551,9 @@ function step3_stepsubmitphpaction() {
 		}
 	}
 
-	/* This is necessary since the wizard expects pecnefined fields. */
-        unset($config['ezshaper']['step3']);
-        $config['ezshaper']['step3'] = array();
+	/* This is necessary since the wizard expects predefined fields. */
+	unset($config['ezshaper']['step3']);
+	$config['ezshaper']['step3'] = array();
 
 	for ($i = 0; $i < $steps; $i++) {
 		$config['ezshaper']['step3']["local{$i}download"] = $_POST["local{$i}download"];
@@ -627,7 +627,7 @@ function step8_stepsubmitphpaction() {
 	global $g, $config;
 
 	/* save the new configuration */
-	apply_all_choosen_items();
+	apply_all_chosen_items();
 
 	/* reset rrd queues */
 	system("rm -f /var/db/rrd/*queuedrops.rrd");
@@ -645,7 +645,7 @@ function step8_stepsubmitphpaction() {
 	exit;
 }
 
-function apply_all_choosen_items() {
+function apply_all_chosen_items() {
 	global $config, $g, $altq_list_queues, $gamesplist, $voiplist, $othersplist, $p2plist;
 
 	require_once("wizardapp.inc");
@@ -657,7 +657,7 @@ function apply_all_choosen_items() {
 	 */
 	if(isset($config['shaper']['queue']))
 		unset($config['shaper']['queue']);
-	/* XXX: This is ecnundant, because this should be handled by converter at startup. */
+	/* XXX: This is redundant, because this should be handled by converter at startup. */
 	if(isset($config['shaper']['rule']))
 		unset($config['shaper']['rule']);
 	foreach ($config['filter']['rule'] as $key => $rule)
@@ -1099,7 +1099,7 @@ function apply_all_choosen_items() {
 					$factor = wizard_get_bandwidthtype_scale($voipbwunit);
 				$remainbw += floatval($voipbw) * $factor;
 			} else
-				$remainbw += 32000; /* 32Kbit/s reserved for HFSC linksharing */
+				$remainbw += 32000; /* 32Kbit/s reserved for HFSC link sharing */
 		}
 		if ($config['ezshaper']['step4']['enable']) {
 			$penalty = true;
@@ -1611,7 +1611,7 @@ function apply_all_choosen_items() {
 						if ($otherclient[1] == "tcp")
 							$rule['ackqueue'] = 'qACK';
 					} else
-						$loop = 1; /* It automitaclly goes to default queue */
+						$loop = 1; /* It automatically goes to default queue */
 					break;
 				default:
 					$loop = 1;
diff --git a/usr/local/www/wizards/traffic_shaper_wizard_multi_all.inc b/usr/local/www/wizards/traffic_shaper_wizard_multi_all.inc
index 8f7fa227b3..9fc4f08adf 100644
--- a/usr/local/www/wizards/traffic_shaper_wizard_multi_all.inc
+++ b/usr/local/www/wizards/traffic_shaper_wizard_multi_all.inc
@@ -349,7 +349,7 @@ function step2_stepsubmitphpaction() {
 		}
 	}
 
-	/* This is necessary since the wizard expects pecnefined fields. */
+	/* This is necessary since the wizard expects predefined fields. */
 	unset($config['ezshaper']['step2']);
 	$config['ezshaper']['step2'] = array();
 
@@ -599,7 +599,7 @@ function step3_stepsubmitphpaction() {
 		}
 	}
 
-	/* This is necessary since the wizard expects pecnefined fields. */
+	/* This is necessary since the wizard expects predefined fields. */
 	unset($config['ezshaper']['step3']);
 	$config['ezshaper']['step3'] = array();
 
@@ -675,7 +675,7 @@ function step8_stepsubmitphpaction() {
 	global $g, $config;
 
 	/* save the new configuration */
-	apply_all_choosen_items();
+	apply_all_chosen_items();
 
 	/* reset rrd queues */
 	system("rm -f /var/db/rrd/*queuedrops.rrd");
@@ -693,7 +693,7 @@ function step8_stepsubmitphpaction() {
 	exit;
 }
 
-function apply_all_choosen_items() {
+function apply_all_chosen_items() {
 	global $config, $g, $altq_list_queues, $gamesplist, $voiplist, $othersplist, $p2plist;
 
 	require_once("wizardapp.inc");
@@ -705,7 +705,7 @@ function apply_all_choosen_items() {
 	 */
 	if(isset($config['shaper']['queue']))
 		unset($config['shaper']['queue']);
-	/* XXX: This is ecnundant, because this should be handled by converter at startup. */
+	/* XXX: This is redundant, because this should be handled by converter at startup. */
 	if(isset($config['shaper']['rule']))
 		unset($config['shaper']['rule']);
 	foreach ($config['filter']['rule'] as $key => $rule)
@@ -1161,7 +1161,7 @@ function apply_all_choosen_items() {
 					$factor = wizard_get_bandwidthtype_scale($voipbwunit);
 				$remainbw += floatval($voipbw) * $factor;
 			} else
-				$remainbw += 32000; /* 32Kbit/s reserved for HFSC linksharing */
+				$remainbw += 32000; /* 32Kbit/s reserved for HFSC link sharing */
 		}
 		if ($config['ezshaper']['step4']['enable']) {
 			$penalty = true;
@@ -1682,7 +1682,7 @@ function apply_all_choosen_items() {
 						if ($otherclient[1] == "tcp")
 							$rule['ackqueue'] = 'qACK';
 					} else
-						$loop = 1; /* It automitaclly goes to default queue */
+						$loop = 1; /* It automatically goes to default queue */
 					break;
 				default:
 					$loop = 1;