commit 27d6a45b2b2f453120f2eeef620c941f5134855b
Author: jim-p <jimp@pfsense.org>
Date:   Thu Mar 10 15:40:19 2016 -0500

    More icon/button inconsistencies. Ticket #5965

diff --git a/src/etc/inc/shaper.inc b/src/etc/inc/shaper.inc
index ad2ec7aeaf..e88454aa25 100644
--- a/src/etc/inc/shaper.inc
+++ b/src/etc/inc/shaper.inc
@@ -749,10 +749,11 @@ class altq_root_queue {
 		$form .= '	<dt>';
 		$form .= '	<dd>';
 
-		$form .= '<a class="btn btn-default btn-xs" href="firewall_shaper_queues.php?interface=';
+		$form .= '<a class="btn btn-danger btn-xs" href="firewall_shaper_queues.php?interface=';
 		$form .= $this->GetInterface() . '&amp;queue=';
 		$form .= $this->GetQname() . '&amp;action=delete">';
-		$form .= gettext("Disable shaper on interface") . '</a>';
+		$form .= '<i class="fa fa-trash icon-embed-btn"></i>';
+		$form .= gettext("Remove shaper from this interface") . '</a>';
 
 		$form .= '	</dd>';
 
@@ -768,10 +769,7 @@ class altq_root_queue {
 	 */
 	function build_form() {
 
-		$sform = new Form(new Form_Button(
-			'Submit',
-			'Save'
-		));
+		$sform = new Form();
 
 		$sform->setAction("firewall_shaper.php");
 
@@ -1354,10 +1352,7 @@ class priq_queue {
 
 	function build_form() {
 
-		$sform = new Form(new Form_Button(
-			'Submit',
-			'Save'
-		));
+		$sform = new Form();
 
 		$sform->setAction("firewall_shaper.php");
 
@@ -1524,7 +1519,8 @@ class priq_queue {
 			$form .= '<a class="btn btn-danger btn-xs" href="firewall_shaper_queues.php?interface=';
 			$form .= $this->GetInterface() . '&amp;queue=';
 			$form .= $this->GetQname() . '&amp;action=delete">';
-			$form .= gettext("Delete queue from interface") . '</a>';
+			$form .= '<i class="fa fa-trash icon-embed-btn"></i>';
+			$form .= gettext("Delete Queue from this Interface") . '</a>';
 
 			$form .= '	</dd>';
 
@@ -3757,7 +3753,7 @@ var addBwRowTo = (function() {
 	cell1.innerHTML = "<input type='hidden' value='" + totalrows +"' name='bandwidth_row-" + totalrows + "' /><input type='text' class='form-control' name='bandwidth" + totalrows + "' id='bandwidth" + totalrows + "' />";
 	cell2.innerHTML = "<input type='hidden' value='" + totalrows +"' name='bwtype_row-" + totalrows + "' /><select class='form-control' name='bwtype" + totalrows + "'>{$bwopt}</select>";
 	cell3.innerHTML = "<input type='hidden' value='" + totalrows +"' name='bwsched_row-" + totalrows + "' /><select class='form-control' name='bwsched" + totalrows + "'>{$schedules}</select>";
-	cell4.innerHTML = '<a class="btn btn-default" onclick="removeBwRow(this); return false;" href="#">Remove</a>';
+	cell4.innerHTML = '<a class="btn btn-warning" onclick="removeBwRow(this); return false;" href="#"><i class="fa fa-trash icon-embed-btn"></i>Delete</a>';
 
 	});
 })();
@@ -3846,14 +3842,15 @@ EOD;
 				$form .= "</select>";
 				$form .= "</td>";
 				$form .= '<td>';
-				$form .= '<a class="btn btn-default" onclick="removeBwRow(this); return false;">' . gettext('Remove') . '</a>';
+				$form .= '<a class="btn btn-warning" onclick="removeBwRow(this); return false;"><i class="fa fa-trash icon-embed-btn"></i>' . gettext('Delete') . '</a>';
 				$form .= "</td></tr>";
 			}
 		}
 		$form .= "</tbody></table></div><br />";
 
 		$form .= '<a class="btn btn-sm btn-success" onclick="javascript:addBwRowTo(\'maintable\'); return false;" >';
-		$form .= gettext("Add another schedule") . "</a>";
+		$form .= '<i class="fa fa-plus icon-embed-btn"></i>';
+		$form .= gettext("Add Schedule") . "</a>";
 
 		return($form);
 	}
@@ -4688,7 +4685,8 @@ function build_iface_without_this_queue($iface, $qname) {
 	$form .= '<a class="btn btn-info btn-xs" href="firewall_shaper_queues.php?interface=';
 	$form .= $iface . '&amp;queue=';
 	$form .= $qname . '&amp;action=add">';
-	$form .= gettext("Clone shaper on the I/F") . '</a>';
+	$form .= '<i class="fa fa-clone icon-embed-btn"></i>';
+	$form .= gettext("Clone Shaper to this Interface") . '</a>';
 	$form .= '	</dd>';
 
 	$form .= '</dl>';
diff --git a/src/usr/local/www/diag_confbak.php b/src/usr/local/www/diag_confbak.php
index 1784afcdba..f42d1da084 100644
--- a/src/usr/local/www/diag_confbak.php
+++ b/src/usr/local/www/diag_confbak.php
@@ -301,7 +301,12 @@ if (is_array($confvers)):
 	endforeach;
 ?>
 				<tr>
-					<td colspan="2"><input type="submit" name="diff" class="btn btn-info btn-xs" value="<?=gettext("Diff"); ?>" /></td>
+					<td colspan="2">
+						<button type="submit" name="diff" class="btn btn-info btn-xs" value="<?=gettext("Diff"); ?>">
+							<i class="fa fa-exchange icon-embed-btn"></i>
+							<?=gettext("Diff"); ?>
+						</button>
+					</td>
 					<td colspan="5"></td>
 				</tr>
 <?php
diff --git a/src/usr/local/www/diag_gmirror.php b/src/usr/local/www/diag_gmirror.php
index 3fb53fea05..edb58d22ad 100644
--- a/src/usr/local/www/diag_gmirror.php
+++ b/src/usr/local/www/diag_gmirror.php
@@ -228,7 +228,11 @@ if ($_GET["action"]):  ?>
 <?php
 	endif; ?>
 			<br />
-			<br /><input type="submit" name="confirm" class="btn btn-sm btn-primary" value="<?=gettext("Confirm"); ?>" />
+			<br />
+			<button type="submit" name="confirm" class="btn btn-sm btn-success" value="<?=gettext("Confirm")?>">
+				<i class="fa fa-check icon-embed-btn"></i>
+				<?=gettext("Confirm")?>
+			</button>
 		</div>
 	</div>
 <?php
@@ -265,7 +269,8 @@ else:
 							<?=htmlspecialchars($name['status']); ?>
 <?php
 			if (strtoupper($name['status']) == "DEGRADED"): ?>
-							<br /><a href="diag_gmirror.php?action=forget&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Forget Disconnected Disks"); ?>]</a>
+							<br />
+							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=forget&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-trash icon-embed-btn"></i><?=gettext("Forget Disconnected Disks"); ?></a>
 <?php
 			endif; ?>
 						</td>
@@ -274,9 +279,9 @@ else:
 							<?php list($cname, $cstatus) = explode(" ", $name['components'][0], 2); ?><br />
 <?php
 			if ((strtoupper($name['status']) == "COMPLETE") && (count($name["components"]) > 1)): ?>
-							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=rebuild&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Rebuild"); ?>]</a>
-							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=deactivate&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Deactivate"); ?>]</a>
-							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=remove&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Remove"); ?>]</a>
+							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=rebuild&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-refresh icon-embed-btn"></i><?=gettext("Rebuild"); ?></a>
+							<a class="btn btn-xs btn-warning" href="diag_gmirror.php?action=deactivate&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-chain-broken icon-embed-btn"></i><?=gettext("Deactivate"); ?></a>
+							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=remove&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-trash icon-embed-btn"></i><?=gettext("Remove"); ?></a>
 <?php
 			endif; ?>
 						</td>
@@ -292,9 +297,9 @@ else:
 							<?php list($cname, $cstatus) = explode(" ", $component, 2); ?><br />
 <?php
 					if ((strtoupper($name['status']) == "COMPLETE") && (count($name["components"]) > 1)): ?>
-							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=rebuild&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Rebuild"); ?>]</a>
-							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=deactivate&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Deactivate"); ?>]</a>
-							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=remove&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>">[<?=gettext("Remove"); ?>]</a>
+							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=rebuild&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-refresh icon-embed-btn"></i><?=gettext("Rebuild"); ?></a>
+							<a class="btn btn-xs btn-warning" href="diag_gmirror.php?action=deactivate&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-chain-broken icon-embed-btn"></i><?=gettext("Deactivate"); ?></a>
+							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=remove&amp;consumer=<?=htmlspecialchars($cname); ?>&amp;mirror=<?=htmlspecialchars($name['name']); ?>"><i class="fa fa-trash icon-embed-btn"></i><?=gettext("Remove"); ?></a>
 <?php
 					endif; ?>
 						</td>
@@ -351,11 +356,13 @@ else:
 
 			if ($oldmirror): ?>
 							<a class="btn btn-xs btn-success" href="diag_gmirror.php?action=activate&amp;consumer=<?=htmlspecialchars($consumer['name']); ?>&amp;mirror=<?=htmlspecialchars($oldmirror); ?>">
-								<?=gettext("Reactivate on:") . ' ' . htmlspecialchars($oldmirror); ?>
+								<i class="fa fa-chain icon-embed-btn"></i>
+								<?=gettext("Reactivate on") . ' ' . htmlspecialchars($oldmirror); ?>
 							</a>
-							<br />
+
 							<a class="btn btn-xs btn-danger" href="diag_gmirror.php?action=clear&amp;consumer=<?=htmlspecialchars($consumer['name']); ?>">
-								<?=gettext("Remove metadata from disk"); ?>
+								<i class="fa fa-trash icon-embed-btn"></i>
+								<?=gettext("Clear Metadata"); ?>
 							</a>
 <?php
 			else: ?>
@@ -365,7 +372,8 @@ else:
 					$consumer_size = gmirror_get_unused_consumer_size($consumer['name']);
 
 					if ($consumer_size > $mirror_size): ?>
-							<a class="btn btn-xs btn-info" href="diag_gmirror.php?action=insert&amp;consumer=<?=htmlspecialchars($consumer['name']); ?>&amp;mirror=<?=htmlspecialchars($mirror); ?>">
+							<a class="btn btn-xs btn-success" href="diag_gmirror.php?action=insert&amp;consumer=<?=htmlspecialchars($consumer['name']); ?>&amp;mirror=<?=htmlspecialchars($mirror); ?>">
+								<i class="fa fa-plus icon-embed-btn"></i>
 								<?=htmlspecialchars($mirror); ?>
 							</a>
 <?php
diff --git a/src/usr/local/www/firewall_schedule_edit.php b/src/usr/local/www/firewall_schedule_edit.php
index a07e4f4212..3d9df5a7e2 100644
--- a/src/usr/local/www/firewall_schedule_edit.php
+++ b/src/usr/local/www/firewall_schedule_edit.php
@@ -1159,7 +1159,7 @@ function insertElements(tempFriendlyTime, starttimehour, starttimemin, stoptimeh
 			'<input class="form-control" name="schedule@" id="schedule@" type="hidden" value="' + tempID + '"/>' +
 		'</div>' +
 		'<div class="col-sm-2">' +
-			'<a class="btn btn-xs btn-warning" name="delete@" id="delete@" type="button" value="@">Delete</a>' +
+			'<a class="btn btn-xs btn-warning" name="delete@" id="delete@" type="button" value="@"><i class="fa fa-trash icon-embed-btn"></i><?= gettext("Delete") ?></a>' +
 		'</div>' +
 	'</div>';
 
diff --git a/src/usr/local/www/firewall_shaper.php b/src/usr/local/www/firewall_shaper.php
index 8b520101e9..11c94fbc4f 100644
--- a/src/usr/local/www/firewall_shaper.php
+++ b/src/usr/local/www/firewall_shaper.php
@@ -479,7 +479,7 @@ if (!$dfltmsg && $sform)  {
 				'Add new Queue',
 				$url,
 				'fa-plus'
-			))->removeClass('btn-default')->addClass('btn-success');
+			))->addClass('btn-success');
 
 		}
 
@@ -494,7 +494,7 @@ if (!$dfltmsg && $sform)  {
 			$queue ? 'Delete this queue':'Disable shaper on interface',
 			$url,
 			'fa-trash'
-		))->removeClass('btn-default')->addClass('btn-danger');
+		))->addClass('btn-danger');
 
 	}
 
diff --git a/src/usr/local/www/firewall_shaper_vinterface.php b/src/usr/local/www/firewall_shaper_vinterface.php
index 24f6bb4cd1..40747ef31f 100644
--- a/src/usr/local/www/firewall_shaper_vinterface.php
+++ b/src/usr/local/www/firewall_shaper_vinterface.php
@@ -449,7 +449,7 @@ if ($dfltmsg) {
 				'Add new Queue',
 				$url,
 				'fa-plus'
-			))->removeClass('btn-default')->addClass('btn-success');
+			))->addClass('btn-success');
 		}
 
 		if ($action != "add") {
@@ -464,7 +464,7 @@ if ($dfltmsg) {
 				($queue && ($qname != $pipe)) ? 'Delete this queue':'Delete Limiter',
 				$url,
 				'fa-trash'
-			))->removeClass('btn-default')->addClass('btn-danger');
+			))->addClass('btn-danger');
 		}
 	}
 
diff --git a/src/usr/local/www/interfaces_assign.php b/src/usr/local/www/interfaces_assign.php
index d99ee04d96..dad4a29ca0 100644
--- a/src/usr/local/www/interfaces_assign.php
+++ b/src/usr/local/www/interfaces_assign.php
@@ -598,7 +598,7 @@ display_top_tabs($tab_array);
 	</table>
 	</div>
 
-	<button name="Submit" type="submit" class="btn btn-primary" value="<?=gettext('Save')?>"><?=gettext('Save')?></button>
+	<button name="Submit" type="submit" class="btn btn-primary" value="<?=gettext('Save')?>"><i class="fa fa-save icon-embed-btn"></i><?=gettext('Save')?></button>
 </form>
 <br />
 
diff --git a/src/usr/local/www/pkg.php b/src/usr/local/www/pkg.php
index cf394c1f29..a0d2ad4ce1 100755
--- a/src/usr/local/www/pkg.php
+++ b/src/usr/local/www/pkg.php
@@ -375,7 +375,11 @@ if ($savemsg) {
 					echo "</select>";
 				}
 				if ($include_filtering_inputbox) {
-					echo "&nbsp;&nbsp;" . gettext("Filter text: ") . "<input id='pkg_filter' name='pkg_filter' value='" . $_REQUEST['pkg_filter'] . "' /><input type='submit' value='Filter' />";
+					echo '&nbsp;&nbsp;' . gettext("Filter text: ") . '<input id="pkg_filter" name="pkg_filter" value="' . $_REQUEST['pkg_filter'] . '" />';
+					echo '&nbsp;<button type="submit" value="Filter" class="btn btn-primary btn-xs">';
+					echo '<i class="fa fa-filter icon-embed-btn"></i>';
+					echo gettext("Filter");
+					echo "</button>";
 				}
 				echo "</td></tr><tr><td><font size='-3'>&nbsp;</font></td></tr>";
 			}
diff --git a/src/usr/local/www/status_carp.php b/src/usr/local/www/status_carp.php
index 239d1348da..19742bd8c8 100644
--- a/src/usr/local/www/status_carp.php
+++ b/src/usr/local/www/status_carp.php
@@ -182,9 +182,11 @@ if ($carpcount == 0) {
 			"<br/>" .
 			sprintf(gettext('Search the %1$sSystem Log%2$s for CARP demotion-related events.'), "<a href=\"/status_logs.php?filtertext=carp%3A+demoted+by\">", "</a>") .
 			"<br/><br/>" .
-			'<input type="submit" class="btn btn-warning" name="resetdemotion" id="resetdemotion" value="' .
+			'<button type="submit" class="btn btn-warning" name="resetdemotion" id="resetdemotion" value="' .
 			gettext("Reset CARP Demotion Status.") .
-			'" />',
+			'"><i class="fa fa-undo icon-embed-btn"></i>' .
+			gettext("Reset CARP Demotion Status.") .
+			'</button>',
 			'danger'
 		);
 	}
diff --git a/src/usr/local/www/status_interfaces.php b/src/usr/local/www/status_interfaces.php
index 23887acf87..d9619936fc 100644
--- a/src/usr/local/www/status_interfaces.php
+++ b/src/usr/local/www/status_interfaces.php
@@ -82,7 +82,10 @@ $formtemplate = '<form name="%s" action="status_interfaces.php" method="post">'
 					'<input type="hidden" name="if" value="%s" />' .
 					'<input type="hidden" name="status" value="%s" />' .
 					'%s' .
-					'<input type="submit" name="submit" class="btn btn-warning btn-xs" value="%s" />' .
+					'<button type="submit" name="submit" class="btn btn-warning btn-xs" value="%s">' .
+					'<i class="fa fa-refresh icon-embed-btn"></i>' .
+					'%s' .
+					'</button>' .
 					'</form>';
 
 // Display a term/definition pair
@@ -100,7 +103,7 @@ function showDefBtn($show, $term, $def, $ifval, $btnlbl) {
 	if ($show) {
 		print('<dt>' . $term . '</dt>');
 		print('<dd>');
-		printf($formtemplate, $term, $ifval, $show, htmlspecialchars($def)	. ' ', $btnlbl);
+		printf($formtemplate, $term, $ifval, $show, htmlspecialchars($def)	. ' ', $btnlbl, $btnlbl);
 		print('</dd>');
 	}
 }