commit 32a31f8aa316603cf856552810094b4f3778a294
Author: Colin Fleming <cj_fleming@sky.com>
Date:   Fri Apr 18 23:15:04 2014 +0100

    Tidy up "services_ntpd_pps" XHTML
    
    Add SUMMARY to tables
    Update HTML Boolean operators
    Close INPUT tags
    Add missing closing DIV, closing TD and closing TR tags

diff --git a/usr/local/www/services_ntpd_pps.php b/usr/local/www/services_ntpd_pps.php
index 6d50a40e3e..9808fd2e23 100644
--- a/usr/local/www/services_ntpd_pps.php
+++ b/usr/local/www/services_ntpd_pps.php
@@ -108,7 +108,7 @@ include("head.inc");
 <?php if ($input_errors) print_input_errors($input_errors); ?>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 
-<table width="100%" border="0" cellpadding="0" cellspacing="0">
+<table width="100%" border="0" cellpadding="0" cellspacing="0" summary="ntpd pps">
   <tr>
 	<td>
 <?php
@@ -123,7 +123,7 @@ include("head.inc");
   <tr>
 	<td>
 	<div id="mainarea">
-	<table class="tabcont" width="100%" border="0" cellpadding="6" cellspacing="0">
+	<table class="tabcont" width="100%" border="0" cellpadding="6" cellspacing="0" summary="main area">
 		<tr>
 			<td colspan="2" valign="top" class="listtopic"><?=gettext("NTP PPS Configuration"); ?></td>
 		</tr>
@@ -146,7 +146,7 @@ include("head.inc");
 					<option value="">none</option>
 					<?php foreach ($serialports as $port):
 						$shortport = substr($port,5);
-						$selected = ($shortport == $pconfig['port']) ? " selected" : "";?>
+						$selected = ($shortport == $pconfig['port']) ? " selected=\"selected\"" : "";?>
 						<option value="<?php echo $shortport;?>"<?php echo $selected;?>><?php echo $shortport;?></option>
 					<?php endforeach; ?>
 				</select>&nbsp;
@@ -157,19 +157,19 @@ include("head.inc");
 		<tr>
 			<td width="22%" valign="top" class="vncellreq">Fudge time</td>
 			<td width="78%" class="vtable">
-				<input name="ppsfudge1" type="text" class="formfld unknown" id="ppsfudge1" min="-1" max="1" size="20" value="<?=htmlspecialchars($pconfig['fudge1']);?>">(<?php echo gettext("seconds");?>)<br />
+				<input name="ppsfudge1" type="text" class="formfld unknown" id="ppsfudge1" min="-1" max="1" size="20" value="<?=htmlspecialchars($pconfig['fudge1']);?>" />(<?php echo gettext("seconds");?>)<br />
 				<?php echo gettext("Fudge time is used to specify the PPS signal offset from the actual second such as the transmission delay between the transmitter and the receiver.");?> (<?php echo gettext("default");?>: 0.0).</td>
 		</tr>
 		<tr>
 			<td width="22%" valign="top" class="vncellreq">Stratum</td>
 			<td width="78%" class="vtable">
-				<input name="ppsstratum" type="text" class="formfld unknown" id="ppsstratum" max="16" size="20" value="<?=htmlspecialchars($pconfig['stratum']);?>"><?php echo gettext("(0-16)");?><br />
+				<input name="ppsstratum" type="text" class="formfld unknown" id="ppsstratum" max="16" size="20" value="<?=htmlspecialchars($pconfig['stratum']);?>" /><?php echo gettext("(0-16)");?><br />
 				<?php echo gettext("This may be used to change the PPS Clock stratum");?> (<?php echo gettext("default");?>: 0). <?php echo gettext("This may be useful if, for some reason, you want ntpd to prefer a different clock and just monitor this source."); ?></td>
 		</tr>
 		<tr>
 			<td width="22%" valign="top" class="vncellreq">Flags</td>
 			<td width="78%" class="vtable">
-				<table>
+				<table summary="flags">
 					<tr>
 						<td>
 				<?php echo gettext("Normally there should be no need to change these options from the defaults."); ?><br />
@@ -179,7 +179,7 @@ include("head.inc");
 				<table>
 					<tr>
 						<td>
-							<input name="ppsflag2" type="checkbox" class="formcheckbox" id="ppsflag2"<?php if($pconfig['flag2']) echo ' checked'; ?>>
+							<input name="ppsflag2" type="checkbox" class="formcheckbox" id="ppsflag2"<?php if($pconfig['flag2']) echo " checked=\"checked\""; ?> />
 						</td>
 						<td>
 							<span class="vexpl"><?php echo gettext("Enable falling edge PPS signal processing (default: rising edge)."); ?></span>
@@ -187,7 +187,7 @@ include("head.inc");
 					</tr>
 					<tr>
 						<td>
-							<input name="ppsflag3" type="checkbox" class="formcheckbox" id="ppsflag3"<?php if($pconfig['flag3']) echo ' checked'; ?>>
+							<input name="ppsflag3" type="checkbox" class="formcheckbox" id="ppsflag3"<?php if($pconfig['flag3']) echo " checked=\"checked\""; ?> />
 						</td>
 						<td>
 							<span class="vexpl"><?php echo gettext("Enable kernel PPS clock discipline (default: disabled)."); ?></span>
@@ -195,7 +195,7 @@ include("head.inc");
 					</tr>
 					<tr>
 						<td>
-							<input name="ppsflag4" type="checkbox" class="formcheckbox" id="ppsflag4"<?php if($pconfig['flag4']) echo ' checked'; ?>>
+							<input name="ppsflag4" type="checkbox" class="formcheckbox" id="ppsflag4"<?php if($pconfig['flag4']) echo " checked=\"checked\""; ?> />
 						</td>
 						<td>
 							<span class="vexpl"><?php echo gettext("Record a timestamp once for each second, useful for constructing Allan deviation plots (default: disabled)."); ?></span>
@@ -207,16 +207,19 @@ include("head.inc");
 		<tr>
 			<td width="22%" valign="top" class="vncellreq">Clock ID</td>
 			<td width="78%" class="vtable">
-				<input name="ppsrefid" type="text" class="formfld unknown" id="ppsrefid" maxlength= "4" size="20" value="<?php htmlspecialchars($pconfig['refid']);?>"><?php echo gettext("(1 to 4 charactors)");?><br />
+				<input name="ppsrefid" type="text" class="formfld unknown" id="ppsrefid" maxlength= "4" size="20" value="<?php htmlspecialchars($pconfig['refid']);?>" /><?php echo gettext("(1 to 4 charactors)");?><br />
 				<?php echo gettext("This may be used to change the PPS Clock ID");?> (<?php echo gettext("default");?>: PPS).</td>
 		</tr>
 		<tr>
 			<td width="22%" valign="top">&nbsp;</td>
 			<td width="78%">
-			<input name="Submit" type="submit" class="formbtn" value="<?=gettext("Save");?>">
+			<input name="Submit" type="submit" class="formbtn" value="<?=gettext("Save");?>" />
 			</td>
 		</tr>
 	</table>
+</div>
+</td>
+</tr>
 </table>
 </form>
 <?php include("fend.inc"); ?>